commit 0ed1e28
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Oct 4 10:13:28 2016 -0700

    Build 2.2.1.
    
    Change-Id: I1a42ba4e3238701650185d3737933d5eb85a8776

commit c189395
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Oct 4 09:05:31 2016 -0700

    Color filters: Initialize a variable.
    
    Make sure temp_dfilter is initialized so that we don't end up freeing
    invalid memory.
    
    Change-Id: Id31969573690574846422b67c950188fd6ee4ef3
    Reviewed-on: https://code.wireshark.org/review/18066
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 6499a02395aea342508dae85f053afd9896dd073)
    Reviewed-on: https://code.wireshark.org/review/18067

commit e3c9f6e
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Sat Oct 1 20:43:54 2016 +0200

    Qt: Have logo in the center of the about dialog
    
    Change-Id: I5dca338e7e3eda3f4b0fa827fe6f7177337f5393
    Reviewed-on: https://code.wireshark.org/review/18011
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 1fdbdf7fcaf30661ac95a5d0af3c2aa105b6274f)
    Reviewed-on: https://code.wireshark.org/review/18057
    Petri-Dish: Michael Mann <mmann78@netscape.net>

commit 9c4efbd
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Sep 20 11:30:38 2016 -0700

    Be more forgiving about invalid Coloring Rules.
    
    In ColoringRulesDialog:
    
    Only check a rule's display filter if that rule is enabled. This keeps
    us from disabling the OK button when we shouldn't.
    
    Adjust the "Your coloring rules file contains unknown rules" dialog text
    and buttons for accuracy.
    
    In color_filters.c:
    
    Don't try to compile disabled filters in color_filters_apply. Don't warn
    about disabled and invalid filters in read_filters_file.
    
    Bug: 12814
    Change-Id: I7143bf8e7a6162d296f1e93769344b69763195c8
    Reviewed-on: https://code.wireshark.org/review/17823
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 1320ea4d57bf376a6a1923a7103d3321b4de8cc3)
    Reviewed-on: https://code.wireshark.org/review/18047

commit 04927d8
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon Oct 3 23:30:02 2016 +0200

    p1: Handle implicit Content
    
    The retured-content is defined as IMPLICIT Content (octet string),
    so ensure we handle this correctly.
    
    Bug: 12976
    Change-Id: I4bcce67cea97142bf3312e1a5c2aeb169c7a69d2
    Reviewed-on: https://code.wireshark.org/review/18054
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit a68dd39a01d7490383f306f2dc35fb8f079b8c69)
    Reviewed-on: https://code.wireshark.org/review/18055

commit e23bcf3
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Oct 3 12:30:13 2016 -0700

    More release note updates.
    
    The U3V, DCOM, and 6LowPAN bugs were just uninitialized variables which
    don't appear to lead to vulnerabilities.
    
    Change-Id: I1901447c679bbbfb08fd98ba2a4e63e887976e13
    Reviewed-on: https://code.wireshark.org/review/18052
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit be08e55
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon Oct 3 21:09:28 2016 +0200

    p1: Check for valid tvb before tvb_reported_length
    
    Move the modification of the content item (which adds the length)
    inside the check for a valid tvb to avoid calling tvb_reported_length()
    with a NULL parameter.
    
    Bug: 12976
    Change-Id: I54368584b7c00f7a2937eaec772533ae73d98f80
    Reviewed-on: https://code.wireshark.org/review/18050
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 650c0f93be4765c8a2dc2db035fe1d0542a047c3)
    Reviewed-on: https://code.wireshark.org/review/18051

commit 247cbd8
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Oct 3 11:55:51 2016 -0700

    Fix advisory numbers.
    
    Change-Id: Iab4942f914f719ca7735a8eb4d426a88265c2e82
    Reviewed-on: https://code.wireshark.org/review/18048
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 31030fe
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Oct 3 10:06:15 2016 -0700

    Updates for 2.2.1.
    
    Change-Id: I2d2760281a8fde1886d0956a1e84af393df81578
    Reviewed-on: https://code.wireshark.org/review/18046
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5a45749
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Oct 2 19:21:05 2016 -0400

    tshark: follow streams should start with chunk 1.
    
    Chunk 0 is not allowed, so it's discarded when outputting a stream.
    
    Ping-Bug: 12855
    Change-Id: Ia7bbb0e222b6b4e714f8bfa245e910c151d82905
    Reviewed-on: https://code.wireshark.org/review/18034
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 57268e3c5b8baeb6228c9588f434577d85b5c451)
    Reviewed-on: https://code.wireshark.org/review/18035
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 14ec1d4
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sun Oct 2 16:41:08 2016 +0200

    Qt: Only color sequence analysis items having color filter
    
    Packets without a color filter will end up with fg_color and
    bg_color = 0, so avoid drawing all in black.
    
    Bug: 12065
    Change-Id: I76bcabcfa3281fcece08f1b2af66274c808b80bb
    Reviewed-on: https://code.wireshark.org/review/18018
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit e38d103d30f8131efd22742d6b03d7f34a226936)
    Reviewed-on: https://code.wireshark.org/review/18027

commit d6b74a7
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sun Oct 2 12:20:45 2016 +0200

    wslua: fix wslua file test failure
    
    Lua 5.2.4 built with -DLUA_USE_APICHECK detected a stack issue:
    
        tshark: lapi.c:175: lua_settop: Assertion `(-(idx+1) <= (L->top - (func + 1))) && "invalid new top"' failed.
    
    Function File_read always assumes that File_read_line pushes a value on
    the stack (which clearly did not happen). On read failure, it would then
    pop the stack (tripping the assertion) to push nil.
    
    The other user (File_lines) is also affected by this change, but the Lua
    5.2.4 documentation says that it should also return nil on EOF, fitting
    this implementation.
    
    Change-Id: I9cc8a5319523b2b56f4ae4735bbdbc1196387386
    Reviewed-on: https://code.wireshark.org/review/18016
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    (cherry picked from commit 9f55eb4e954dd125e229bc94892e1571abd2cd65)
    Reviewed-on: https://code.wireshark.org/review/18023

commit 6997baa
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Oct 2 08:20:36 2016 -0700

    [Automatic update for 2016-10-02]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I5c6af518c65da4bee30b84e39052f6e6af6a7f07
    Reviewed-on: https://code.wireshark.org/review/18021
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 59941af
Author: D. Ulis <daulis0@gmail.com>
Date:   Fri Sep 30 15:19:51 2016 -0400

    CIP: Minor bug fixes
    
    1. CIP: dissect_cip_set_attribute_list_req - Too many bytes highlighted. Could cause malformed packet
    2. CIP: dissect_cip_cco_all_attribute_common - Too many bytes highlighted
    3. CIP Motion: dissect_cntr_service - Wrong size passed in which tried to highlight too many bytes. Would cause malformed packet.
    4. CIP: Some minor formatting/whitespace changes.
    
    Change-Id: I5899888a3e58452945c8546cf635768cdd3cf738
    Reviewed-on: https://code.wireshark.org/review/18000
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 0f18087ca32fa897dd3dfc04202bb40d3639364d)
    Reviewed-on: https://code.wireshark.org/review/18004
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>

commit 4768855
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Sep 30 11:21:05 2016 -0700

    NetFlow: Fix a preference description.
    
    Stringify the correct macro so that we print
    
        (default: 60)
    
    instead of
    
        (default: V9TEMPLATE_MAX_FIELDS_DEF)
    
    Change-Id: Ie2068eaf577f6024d4a9b64ef5ce761944f269a2
    Reviewed-on: https://code.wireshark.org/review/18001
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit f46f367
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Sep 29 21:47:29 2016 +0200

    Update c-ares to 1.12.0
    
    Change-Id: Icd70f5e4e5e1a41a6a188500874a893433ecb8ed
    Reviewed-on: https://code.wireshark.org/review/17985
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit d8a2d39d429ad20707eafc05399e640521d66f57)
    Conflicts:
            tools/win-setup.ps1
    Reviewed-on: https://code.wireshark.org/review/17986
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>

commit f78d1ad
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Sep 27 21:39:46 2016 +0200

    tshark: register extcap preferences
    
    Bug: 12949
    Change-Id: I95ef8a15a2d629bbb351d34dbfc730fa5ea62cd5
    Reviewed-on: https://code.wireshark.org/review/17954
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit e9b94ae81fffa686ac160223aebcb67686415b77)
    Reviewed-on: https://code.wireshark.org/review/17955

commit 4a85ac3
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sat Sep 24 15:11:32 2016 +0200

    ssl: fix exact matching of ALPN protocol names
    
    The "name_length >= alpn_proto->proto_name_len" condition always failed
    to match for short names (like "h2" where the reported length is 2, but
    the proto_name_len would be 3).
    
    This fixes recognition of HTTP/2 traffic, without this patch it would be
    interpreted as http-over-tls as reported on
    https://ask.wireshark.org/questions/55720/how-to-install-http2-dissector-plugin
    
    Change-Id: Idc3eae0b6d593c8f3c435230ef76da90a4b1e7fc
    Reviewed-on: https://code.wireshark.org/review/17907
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 75ae538514f55f8faa114ce31fc5a2a1d7b7ef22)
    Reviewed-on: https://code.wireshark.org/review/17912
    Petri-Dish: Michael Mann <mmann78@netscape.net>

commit 67597cb
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Mon Sep 26 15:54:06 2016 +0200

    Register ncp2222 dissector
    
    Otherwise a lot of ncp fields are missing.
    
    Bug: 12945
    Fixes: v2.1.0rc0-2918-g2e23b50 ("Add checkAPI calls to CMake.")
    Change-Id: Ic46dc12c9a98b38d78ef988c0ce71f38e3163549
    Reviewed-on: https://code.wireshark.org/review/17941
    Petri-Dish: Jim Young <jim.young.ws@gmail.com>
    Reviewed-by: Jim Young <jim.young.ws@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 7b279d26aa646e9d561bf9a0516b9a39130fa864)
    Reviewed-on: https://code.wireshark.org/review/17942

commit 8d95155
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Sep 21 15:38:16 2016 -0700

    Check for ASAN when fuzzing.
    
    Try to determine if we passed -fsanitize=address to gcc or clang and
    adjust the ASAN variable fuzz-test.sh, randpkt-test.sh and
    test-captures.sh accordingly.
    
    Change-Id: I88a34828fb5875e1a74a3b180ffb3da37daac0bd
    Reviewed-on: https://code.wireshark.org/review/17848
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 17546ad88378fbeaad25e571e0fa35e7a5bfa622)
    Reviewed-on: https://code.wireshark.org/review/17934

commit 16781e7
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Sep 21 14:43:20 2016 -0700

    Add a -a flag to use if TShark was built with ASan.
    
    We mustn't set the virtual address space limit if that's the case, as
    ASan consumes a ton of address space.
    
    Clean up a comment while we're at it.
    
    Change-Id: I7e88135f16b21cb091a73a35de70bee757fb3876
    Reviewed-on: https://code.wireshark.org/review/17847
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 876bca186bdce5bb2f3f5b3b5200ef0a83bf5683)
    Reviewed-on: https://code.wireshark.org/review/17931
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 29ea37a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Sep 21 14:41:04 2016 -0700

    Set the VA limit with ulimit -S, and clean up comments.
    
    Other limits are set with -S, do that with the virtual address space
    limit as well.
    
    Change-Id: Ie427341a4c7be56d3e8d96be6c1713c56e9bad87
    Reviewed-on: https://code.wireshark.org/review/17846
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit ec0aeb983b0efc2d2e5e24209a3a0fc198b353d2)
    Reviewed-on: https://code.wireshark.org/review/17929
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 0784542
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Sep 11 12:08:45 2016 -0700

    Add a -a flag to specify running under ASan, and don't set ulimit -v if so.
    
    You can't run ASan-built programs with a ulimit, as ASan allocates a
    huge amount of shadow memory.
    
    Change-Id: Ic4d3c2fae77719f65d4594774bc8aa92d2a3a035
    Ping-Bug: 12797
    Reviewed-on: https://code.wireshark.org/review/17645
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 11d3a0f963e5bd7426c6b29f1e6520420299559f)
    Reviewed-on: https://code.wireshark.org/review/17927
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 73080d9
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Sep 25 11:21:57 2016 -0700

    Do GArray bounds checking.
    
    Make sure we aren't going past the end of the array of per-interface
    packet counts.
    
    Change-Id: I6e19a5d375ebcc2193c37dc42c8f49836a5fd2c7
    Reviewed-on: https://code.wireshark.org/review/17924
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit aeb112fde85197d4bf665d513d333ace0896c4f8)
    Reviewed-on: https://code.wireshark.org/review/17925

commit 383d524
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Sep 25 11:02:27 2016 -0700

    Report failure to compile a filter as an error.
    
    The NCP dissector relies on those filters being compiled, and we end up
    doing a g_assert() anyway; use g_error() to make sure the error gets
    printed.
    
    Change-Id: Ibc20407c1c08f0baaa626f269e9552ae11b36083
    Ping-Bug: 12945
    Reviewed-on: https://code.wireshark.org/review/17921
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 79ae8c1d07fe777a175269ed49d2adee9c1d575b)
    Reviewed-on: https://code.wireshark.org/review/17922

commit 85abe17
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Sep 25 08:22:56 2016 -0700

    [Automatic update for 2016-09-25]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Iab8cd3072c965da0e50db744abd5bf9fabafe9ab
    Reviewed-on: https://code.wireshark.org/review/17918
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit faa10f2
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sat Sep 24 12:16:08 2016 +0200

    doc: add the -d (decode as) option to wireshark(1)
    
    Text is partially copied from the tshark manual page.
    
    Change-Id: I120e327f15394fc48fce6e4a122e7eab83e91c82
    Reviewed-on: https://code.wireshark.org/review/17904
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 46aba5a3407be21db89fff8ed3be4bed4883e806)
    Reviewed-on: https://code.wireshark.org/review/17908

commit d22bad9
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Sep 22 22:09:13 2016 +0200

    6LowPAN: initialize interface identifier even when no data-link source is found
    
    Bug: 12939
    Change-Id: Ib4e8adbff3e335e602da5e6857bfc801601fd25e
    Reviewed-on: https://code.wireshark.org/review/17871
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 0b1fd7e8fb267c19eebe484db31a7240781a7023)
    Reviewed-on: https://code.wireshark.org/review/17875

commit 47404a2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Sep 22 13:54:13 2016 -0700

    Fix the "do we have Xcode?" test for older versions of Xcode.
    
    Change-Id: I35853b6cb2985bf9bc36175ec8085929e66db349
    Reviewed-on: https://code.wireshark.org/review/17872
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 76d97c39c9be04ff2ed599cc3d15b7fddbf080f6)
    Reviewed-on: https://code.wireshark.org/review/17873

commit baa47a6
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Sep 22 03:11:17 2016 -0700

    Point people to the Mac App Store for Xcode.
    
    Don't give a URL that doesn't work any more.
    
    Change-Id: I3d2dbef2dda4a96aff9382e687eb8eb64218d14d
    Reviewed-on: https://code.wireshark.org/review/17859
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 46595f4ad07e7bc9080497e860c969b570bea676)
    Reviewed-on: https://code.wireshark.org/review/17860

commit 18ad700
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Sep 22 02:59:53 2016 -0700

    Make it detect command-line-toos-only installations.
    
    /usr/bin/xcodebuild is present, but appears not to work, if you have
    only the command-line tools for Xcode 8 installed, not Xcode 8 itself.
    
    Change-Id: I4a55e30f8afcc7e575e661d2b4ea944c967790ec
    Reviewed-on: https://code.wireshark.org/review/17856
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 4e53f5d975d184e6813d3dfb25b8c06fc046dbd7)
    Reviewed-on: https://code.wireshark.org/review/17857

commit c568b9d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Sep 21 20:48:37 2016 -0700

    Don't mention a particular version of XQuartz.
    
    The version we were using is out of date and, because we don't download
    it in the script, we don't *need* the version, we can just point people
    to http://www.xquartz.org.
    
    Change-Id: I049e55c11a6877a1ad888288a157cc8527740b16
    Reviewed-on: https://code.wireshark.org/review/17850
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit bf95ccca2eb903b81f3ddd0de7e21c42d687a64c)
    Reviewed-on: https://code.wireshark.org/review/17851

commit 6b495a1
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Sep 20 14:14:38 2016 +0200

    TLS: no extension length on padding extension
    
    also remove padding function (don't needed)
    
    Bug: 12922
    Change-Id: Ie049ee21193ec82b8dc873a7dff78e9d058c7935
    Reviewed-on: https://code.wireshark.org/review/17825
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    (cherry picked from commit b9d4a18ad2f10cc9216d8131d9e1ddc89bfc50ac)
    Reviewed-on: https://code.wireshark.org/review/17831
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b5ee450
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Wed Aug 17 13:03:27 2016 +0200

    Qt: fix crash on clearing dfilter after capture restart
    
    Since v2.1.2rc0-1-gaf5daa6 ("Qt: Replace a QMap with a QVector."), the
    following error could be observed:
    
        ASSERT failure in QVector<T>::operator[]: "index out of range", file /usr/include/qt/QtCore/qvector.h, line 433
        Aborted (core dumped)
    
    It happens when a capture filter is present and a live capture is
    restarted. Then the number_to_row_ structure would be truncated which
    results in an invalid access.
    
    Fix this by always checking the length before inserting a new mapping.
    Do it inside the loop to prevent an unlikely race condition where more
    than 10000 packets are received before the next iteration.
    
    Store "row number + 1" to avoid having to initialize the new elements
    from resize() with -1, the default value is 0 which is good now.
    
    Bug: 12929
    Change-Id: I88ce955a3551508e773eeadddc6f89bbb583acaf
    Reviewed-on: https://code.wireshark.org/review/17111
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit b6f73f2567854b1ea417957d7ea5de32b1989aa3)
    Reviewed-on: https://code.wireshark.org/review/17844
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 61ad380
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Wed Sep 21 21:22:57 2016 +0200

    dmp: Restore checksum incorrect info
    
    The "Checksum incorrect" note in COL_INFO was inadvertently
    broken in gad6fc87d6.
    
    Change-Id: I064c3c79aa3e1ae72d3a8167538e709d0b5fe94a
    Reviewed-on: https://code.wireshark.org/review/17842
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit eafa0a061d614541b8ad230289657aaf185033c7)
    Reviewed-on: https://code.wireshark.org/review/17843

commit 93c4252
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Sep 21 14:19:07 2016 +0200

    Diameter: fix a typo in AVP TGPP 1656
    
    Bug: 12927
    Change-Id: I6a6507d7b3b0321d2d12d3d306003e480070e79e
    Reviewed-on: https://code.wireshark.org/review/17833
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 4528da9f0112d7107b00de48ff71877b9be983bc)
    Reviewed-on: https://code.wireshark.org/review/17834

commit 88e67b6
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Sep 21 13:15:32 2016 +0200

    [Diameter AVPs] Correct 3GPP AVPs 1655. 1656 531 and 532
    
    Bug: 12927
    Change-Id: I545d5c54396431ab67f78fbc31111460d758f8b1
    Reviewed-on: https://code.wireshark.org/review/17827
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit c2c8dc38fee6d33a2e926aa05a3e3f7ef1723db2)
    Reviewed-on: https://code.wireshark.org/review/17829
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 355b56b
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Sep 21 11:09:43 2016 +0200

    BTL2AP: compare strings with strcmp, not memcp
    
    Otherwise a string shorter than 7 characters will trigger an out of bounds access
    
    Bug: 12825
    Change-Id: I54a7909d74838dcb56583374e5753f877ff74fe2
    Reviewed-on: https://code.wireshark.org/review/17826
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    (cherry picked from commit 7be73201a044e8228de8e91a5f8708ebcd761015)
    Reviewed-on: https://code.wireshark.org/review/17828
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 23e8ae4
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Sep 19 09:37:27 2016 +0200

    Qt: reenable export packet bytes menu while capturing
    
    Change-Id: I2a3e35ec7c3233e6b32c53a2124b00bbfff8a2e1
    Reviewed-on: https://code.wireshark.org/review/17793
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit a8e727b636ad39e1b041458411450882ac381247)
    Reviewed-on: https://code.wireshark.org/review/17794

commit aa64a1b
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Sep 18 21:54:50 2016 +0200

    Qt: fix file set menus when stopping a capture or opening a capture after startup
    
    Create file_set_dialog_ window at program start so that file set menu entries
    are properly populated
    
    Bug: 12904
    Change-Id: I597067da51808000683b15a19df646857082a867
    Reviewed-on: https://code.wireshark.org/review/17785
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 7a7f0202857e0c08324454a7e8ef1b364403c581)
    Reviewed-on: https://code.wireshark.org/review/17791
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 746b4fc
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Sep 18 23:00:07 2016 +0200

    Qt: fix some menus activation when stopping a capture
    
    Call MainWindow::setMenusForCaptureFile() once the capture is finished
    While we are at it, let's deactivate Export PDU and Export Packet Bytes menus while capturing
    
    Bug: 12071
    Bug: 12898
    Change-Id: I8ab9d531135790b51cd630d3f548d0c47a4a60a5
    Reviewed-on: https://code.wireshark.org/review/17784
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit d7a07deb195bfe51ad13096c23876babf2db5238)
    Reviewed-on: https://code.wireshark.org/review/17790

commit 14f9048
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Sep 18 08:22:59 2016 -0700

    [Automatic update for 2016-09-18]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I5f6b9971211bec9c21bb1bfb411988ec296bbf4d
    Reviewed-on: https://code.wireshark.org/review/17779
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 200f7c1
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Sep 18 09:31:01 2016 +0200

    extcap: fix management of multicheck and saved non boolean arguments
    
    Launching USBPcap without going in the interface options menu exhibits 2 bugs:
    - we should restore a value only if it is not an empty string (otherwise USBPcap with an ampty --devices multicheck argument)
    - when building the argument list for a non boolean argument not using the default value, do not call g_strconcat. It will
    build a string concatenating the option and value (for example "--devices 1" that will be treated as a single argument).
    Instead option and value must be given separately to argument list.
    
    Bug: 12846
    Change-Id: I5628cb264a7632089e6579e9ae7400e2c0e500e2
    Reviewed-on: https://code.wireshark.org/review/17773
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Roland Knall <rknall@gmail.com>
    (cherry picked from commit 66203b4f31e69187636d2dfc0562bc0ccc5a7173)
    Reviewed-on: https://code.wireshark.org/review/17774

commit 0f94f73
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sat Sep 17 12:37:11 2016 +0200

    Qt: Hide columns after setting widths
    
    In columnsChanged() the visibility must be set after setting
    the width to avoid that setting width overwrites visibility.
    
    This should fix hidden columns displayed during first capture.
    
    Bug: 12377
    Change-Id: Idbbf36b014724970775c34b0c08803de9b006742
    Reviewed-on: https://code.wireshark.org/review/17755
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 6bedad69b672fdf0e67b54738edb64433938c8ae)
    Reviewed-on: https://code.wireshark.org/review/17765

commit e90eb21
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Sep 17 18:36:32 2016 +0200

    ISUP: do not display Called Party Number twice
    
    Bug: 12911
    Change-Id: I3632ffbeb85a96d9268eca6ddc0f8b38587688c4
    Reviewed-on: https://code.wireshark.org/review/17758
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit c82303610d0727f938ec003aeec7c2c7cc4693f0)
    Reviewed-on: https://code.wireshark.org/review/17759

commit 6a2c63a
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri Sep 16 20:32:04 2016 +0200

    Qt: Reset expert info icon when start capture failed
    
    When starting capture fails the expert info icon must be removed
    and the file status must be cleared.  This happens more frequently
    when using sshdump with configuration errors.
    
    Change-Id: I9b2215c71bd16406a0978256018b1664f06c19f1
    Reviewed-on: https://code.wireshark.org/review/17741
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit ee2c4da947a6e7ae638efa464d9eb09c9082fa00)
    Reviewed-on: https://code.wireshark.org/review/17751

commit dfa8729
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Sep 15 18:20:05 2016 -0700

    Qt: Argument vector fixups.
    
    In wireshark-qt.cpp we have two "argv" variables, one that we pass to
    QCoreApplication (which it then corrupts irreversibly on Windows if you
    pass it multibyte characters), and one that we convert to UTF-8 and use
    normally.
    
    Name the throwaway argument vector "qt_argv". Name ours "argv", which is
    the traditional and less error-prone name.
    
    Bug: 12900
    Change-Id: Idd80b9f779f36ffe977465afd623d320212f92b1
    Reviewed-on: https://code.wireshark.org/review/17723
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit f317a2b304f50392b360ac95de995459a24c3b7d)
    Reviewed-on: https://code.wireshark.org/review/17739
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit cb5a292
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu Sep 15 01:41:20 2016 +0200

    ssl-utils: fix buffer overrun (read) with AEAD cipher suites
    
    ssl_cipher_init should only set the IV for CBC cipher suites. NULL
    cipher suites will not invoke gcry_cipher_setiv and AEAD ciphers will
    set the nonce in a different place anyway.
    
    Fixes a buffer overrun (read) by 12 bytes for any AES-CCM and AES-GCM
    cipher suite because the "block size" is set to 4 bytes while the
    reported block size for AES is 16 bytes (128 bit). (The four bytes are
    the "salt" part of the nonce that is extracted from the "client/server
    write IV" part of the key block.)
    
    Observed with the DTLS packet capture from
    https://ask.wireshark.org/questions/55487/decrypt-application-data-pending-dtls-abbreviated-handshake-using-psk
    
    Change-Id: I4cc7216f2d77cbd1eac9a40dca3fdfde7e7b3680
    Reviewed-on: https://code.wireshark.org/review/17713
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 979df813dc60358d3f6972d6ca8f5c97ea7b747b)
    Reviewed-on: https://code.wireshark.org/review/17729
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 2ace9b2
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Thu Sep 15 09:08:18 2016 +0200

    Qt: Avoid crashes in IAX2 Stream Analysis
    
    Avoid crash when opening IAX2 Stream Analysis without having any
    packets and when not having a selected packet.  Also disable the
    Save Audio options if not having any IAX2 packets.
    
    Also set Close as default button.
    
    Change-Id: I1da04e3f907d9d562fa227ab9f0428aa6097131e
    Reviewed-on: https://code.wireshark.org/review/17708
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit f674ef75d765a7933774b8659ca20ef0ef16e78d)
    Reviewed-on: https://code.wireshark.org/review/17726
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 3a1f272
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Sep 15 18:32:21 2016 -0700

    Don't pick up junk from an unset error-number variable.
    
    Keep the actual error code and pointer-to-error-string in the scanner
    state, rather than pointers to the variables passed in to us.
    Initialize them to 0 and NULL, respectively.
    
    That way, when the actual scanner routine returns, we don't check for an
    error by looking at the error variable pointed to by our argument, which
    might not have been set by the scanner and might have stack junk in it,
    we look at a structure member we set to 0 before the scan.
    
    Change-Id: I81a4fd6d5cf5e56f5638fae1253c48dc50c9c36d
    Reviewed-on: https://code.wireshark.org/review/17721
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 1158576622d677884a3ce4aa169873d453897c9d)
    Reviewed-on: https://code.wireshark.org/review/17722

commit e4e12df
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Sep 15 15:20:26 2016 -0700

    Don't pick up junk from an unset error-number variable.
    
    Keep the actual error code and pointer-to-error-string in the scanner
    state, rather than pointers to the variables passed in to us.
    Initialize them to 0 and NULL, respectively.
    
    That way, when the actual scanner routine returns, we don't check for an
    error by looking at the error variable pointed to by our argument, which
    might not have been set by the scanner and might have stack junk in it,
    we look at a structure member we set to 0 before the scan.
    
    Bug: 12903
    Change-Id: I5a382da569a226e60c3c2a47f3a1515b0490c31d
    Reviewed-on: https://code.wireshark.org/review/17716
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 7a7d162a494e3ccf15f58f1d710dcf645cfa02b1)
    Reviewed-on: https://code.wireshark.org/review/17717

commit aeaf427
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Wed Sep 14 19:45:50 2016 +0200

    eap: fix EAPOL conversation tracking, fixes TLS decryption
    
    Use new heuristics based on the EAP Code field to determine whether a
    field originates from the client or server. This is more reliable than
    using "pinfo->match_uint" for two reasons: (1) the heuristics dissector
    does not set "match_uint" (resulting in an arbitrary match on the
    previous value) and (2) with EAP over EAPOL, there is no matching port
    number (resulting in two conversations with different addresses and port
    number zero).
    
    To fix TLS decryption, make sure to create a single conversation for
    both direction and allow the port type to be PT_NONE (to avoid reporting
    all packets as originating from the server).
    
    Bug: 12879
    Change-Id: I7b4267a27ffcf68bf9d3f6a90d6e6e2093733f51
    Reviewed-on: https://code.wireshark.org/review/17703
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit f2e79776a78ad245c3fa0e079601f5ea7b9cce2f)
    Reviewed-on: https://code.wireshark.org/review/17715
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 63ca6bb
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Sep 14 17:05:26 2016 -0700

    Fix a test to work with Xcode 8.
    
    (Hopefully it still does what it's supposed to; I don't have any
    machine, real or virtual, that has the command-line tools installed
    without Xcode being installed on which to test it.)
    
    Change-Id: I0ce8ce4f8532fcc6ab121641dde238180dfa69ce
    Reviewed-on: https://code.wireshark.org/review/17704
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 3d7524c206e7e6630c29c154b5a66844872ed889)
    Reviewed-on: https://code.wireshark.org/review/17705

commit 5dd643f
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Tue Sep 13 13:37:11 2016 +0200

    Qt: Set Close as default button
    
    Set Close as default button in some statistics dialogs.
    
    Change-Id: I82e17d27de256aabaec1633bb973c554eec907c3
    Reviewed-on: https://code.wireshark.org/review/17685
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 057b6bbd2e33afea4dc00accadabe89282d7f2f5)
    Reviewed-on: https://code.wireshark.org/review/17698

commit 6924106
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Mon Sep 12 21:30:26 2016 +0200

    qt: fix default action in Time Shift dialog
    
    Use "Apply" as default action, not "Open Help".
    
    Change-Id: Ida9b878732e444bbc450f8e63cc8e30a76f29bdc
    Reviewed-on: https://code.wireshark.org/review/17672
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    (cherry picked from commit 9c1e9b27f4cf549d3ed9a6d76e1469a84e447fda)
    Reviewed-on: https://code.wireshark.org/review/17697
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 2187ef5
Author: Dario Lombardo <lomato@gmail.com>
Date:   Tue Sep 13 11:14:01 2016 +0200

    sshdump: remove -P.
    
    This option is incompatible with other capture binaries (like tcpdump).
    
    Change-Id: If93fca69f93b7833e7f8bb28b70311373f42f3f5
    Reviewed-on: https://code.wireshark.org/review/17682
    Petri-Dish: Dario Lombardo <lomato@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Reviewed-by: Dario Lombardo <lomato@gmail.com>
    (cherry picked from commit 5b03a42489eb3adfa9c1aa8971e35649fcfe6014)
    Reviewed-on: https://code.wireshark.org/review/17686

commit 6473247
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Tue Sep 13 12:49:23 2016 +0200

    Qt: Fix open Flow Graph in full screen
    
    Check if initialized in SequenceDialog::resizeEvent because loadGeometry()
    may call resizeEvent (from showFullScreen()) before init_ is initialized.
    
    Change-Id: I1a514454f1521f68df71c3113077c68acb2f3218
    Reviewed-on: https://code.wireshark.org/review/17684
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit 5e03d3183c55277aa75f7337bd8cac76a60d51b2)
    Reviewed-on: https://code.wireshark.org/review/17687

commit 9337224
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Sep 13 01:51:07 2016 -0700

    Fix indentation.
    
    Change-Id: I2b2d1cd584eb1ec56ec5cdcd33fb789843c8192c
    Reviewed-on: https://code.wireshark.org/review/17680
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 3fd70302efceed9bd7aa40779cba29d818bb96fd)
    Reviewed-on: https://code.wireshark.org/review/17681

commit eb2dd01
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Sep 12 15:47:18 2016 -0700

    Note that we're shipping Qt 5.6 on Windows.
    
    Change-Id: I5eb3c9c0eab95bc2e6b8f489f04577947276bef5
    Reviewed-on: https://code.wireshark.org/review/17675
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8960d2e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Sep 12 09:45:12 2016 -0700

    Remove unnecessary extcap_cleanup() declaration.
    
    That wasn't sufficient to avoid #ifdeffing calls to extcap_cleanup(), as
    this header wasn't even being included if HAVE_EXTCAP wasn't defined,
    hence change I18c855e13281013a6277c1f38eeac92e74d52b34 was necessary.
    
    It's probably best that this not be included if HAVE_EXTCAP isn't
    defined, so as to catch *other* references to functions etc. that aren't
    available without extcap.
    
    Change-Id: I5c4ad331b6df93bbbcd28ad3b9815e4cd226039a
    Reviewed-on: https://code.wireshark.org/review/17666
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit f2d6d07498b42637134a08459458cdda679380e0)
    Reviewed-on: https://code.wireshark.org/review/17671

commit c837ecc
Author: Dario Lombardo <lomato@gmail.com>
Date:   Mon Sep 12 15:07:36 2016 +0200

    fix some compilation issues without extcap.
    
    Change-Id: I18c855e13281013a6277c1f38eeac92e74d52b34
    Reviewed-on: https://code.wireshark.org/review/17665
    Petri-Dish: Dario Lombardo <lomato@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit e3247b3a71f1bdb89c40573412ab7b2181212a98)
    Reviewed-on: https://code.wireshark.org/review/17670
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 687799b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Sep 12 09:51:47 2016 -0700

    Fix file name in comment.
    
    Change-Id: I2a5b6e5c0ba8e729fbfa7e9e218aca1c747d6e45
    Reviewed-on: https://code.wireshark.org/review/17667
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 84436438a8cbcb533839584b0eef2eb43f4b5396)
    Reviewed-on: https://code.wireshark.org/review/17668

commit ba5a44f
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon Sep 12 10:53:16 2016 +0200

    Qt: Word wrap static text preferences
    
    The preferences static text may be too long for the preferences
    dialog width, so set word wrap for this label.
    
    Change-Id: I0828601b39a5e189de707087e317c598576fc3db
    Reviewed-on: https://code.wireshark.org/review/17656
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit b28cd2dbd78bfeecd0209142f6dd6a8e8ad8aa90)
    Reviewed-on: https://code.wireshark.org/review/17660

commit 53a33ea
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sun Sep 11 11:25:51 2016 +0200

    dumpcap: fix memleak on exit
    
    Invocation of tshark -D (dumpcap -D -Z none) under ASAN fails with:
    
        tshark: Child dumpcap process died: Abort - core dumped
    
    Change-Id: Ida363089066205d579e841b019b32c2e33516f12
    Reviewed-on: https://code.wireshark.org/review/17633
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 456312e22b06dd900ce11776f35321c0a158ea7e)
    Reviewed-on: https://code.wireshark.org/review/17653
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a7d7c29
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Sep 11 08:21:49 2016 -0700

    [Automatic update for 2016-09-11]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I5589d770fca24d0a487cc106defcb51ceb189e14
    Reviewed-on: https://code.wireshark.org/review/17641
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 3d8a0a1
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sun Sep 11 01:16:24 2016 +0200

    extcap: fix use-after-free for preferences
    
    In commit v2.3.0rc0-117-g485bc45 (backported to v2.2.0rc0-44-g66721ca),
    extcap_prefs_dynamic_vals and extcap_cleanup were added in an attempt to
    address dangling pointers.
    
    Unfortunately it is not sufficient:
    
     - A pointer to the preference value is stored in extcap_arg and passed
       to the prefs API, but this extcap_arg structure can become invalid
       which result in use-after-free whenever the preference is accessed.
     - On exit, a use-after-free occurs in prefs_cleanup when the preference
       value is being checked.
    
    As the preference subsystem actually manages the memory for the string
    value and consumers should only provide a pointer where the value can be
    stored, convert the char* field in extcap to char**. This has as
    additional benefit that values are not limited to 256 bytes anymore.
    
    extcap_cleanup is moved after epan_cleanup to ensure that prefs_cleanup
    does not operate on dangling pointers.
    
    Crash is reproducible under ASAN with: tshark -i randpkt
    
    Ping-Bug: 12183
    Change-Id: Ibf1ba1102a5633aa085dc278a12ffc05a4f4a34b
    Reviewed-on: https://code.wireshark.org/review/17631
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Roland Knall <rknall@gmail.com>
    (cherry picked from commit 583150198b78c84d043455b0afcca58a9659eab3)
    Reviewed-on: https://code.wireshark.org/review/17632
    Petri-Dish: Roland Knall <rknall@gmail.com>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 4600041
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Sep 9 15:04:15 2016 -0700

    PortableApps: Allow multiple instances.
    
    The documentation for the [Launch]SingleAppInstance key doesn't seem
    to match its behavior in that its default value (true) keeps multiple
    portable instances from running, at least for us. Set it to false since
    we're happy with users running as many concurrent instances as they can
    stand. Set the related SinglePortableAppInstance key to false while
    we're here in case its default value ever changes.
    
    Change-Id: Iea1a6a80d5b204814b7569776734e0b0e254d657
    Reviewed-on: https://code.wireshark.org/review/17617
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit dadebff
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Sep 7 22:56:39 2016 +0200

    NBT: fix  Bad description for NBSS error code 0x81
    
    Issue reported by Pavel Kankovsky
    https://tools.ietf.org/html/rfc1002#section-4.3.4
    
    Bug:12835
    Change-Id: Iac7e58b9fd61f1f0dfd86960ef4f306ac6ed5a9c
    Reviewed-on: https://code.wireshark.org/review/17565
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 03e4307cb2daf1f208d3653b04f64580ee6d0c38)
    Reviewed-on: https://code.wireshark.org/review/17571
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 5193363
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Sep 8 13:43:00 2016 -0700

    extcap_child_watch_cb() always uses the status argument.
    
    Change-Id: I2537f2e3babe2158796acda6855f5aebeb0b7d4d
    Reviewed-on: https://code.wireshark.org/review/17595
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit bd45929ba6075c4f41a3df87d823cb2dac3bae55)
    Reviewed-on: https://code.wireshark.org/review/17596

commit fa74120
Author: Michael Tuexen <tuexen@wireshark.org>
Date:   Tue Aug 2 14:31:37 2016 +0200

    Fix compilation on FreeBSD.
    
    Includes are needed for using macros like WIFEXITED.
    
    Change-Id: Ia09ca58eeab2d151a756d285b0aeb55141c4d24a
    Reviewed-on: https://code.wireshark.org/review/16841
    Reviewed-by: Michael Tüxen <tuexen@wireshark.org>
    (cherry picked from commit 18f775af55ddf60aa72b4d2b3d635701d1ac50b1)
    Reviewed-on: https://code.wireshark.org/review/17594
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 602f7a3
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Sep 8 20:41:05 2016 +0200

    IRemUnknown: initialize remunk_remqueryinterface_call_t structure
    
    Bug: 12841
    Change-Id: I5916c30a18029d0872e0439d3393eaa6d27964dd
    Reviewed-on: https://code.wireshark.org/review/17589
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit f1a7497b5341dba1f07bac9894a713263257b08f)
    Reviewed-on: https://code.wireshark.org/review/17591

commit d1b03dc
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Sep 8 07:20:29 2016 +0200

    U3V: ensure that gencp_transaction_t structure is fully initialized
    
    Bug: 12829
    Change-Id: Iee8817fc0331af037284e5ec21b30671c6b3bd7d
    Reviewed-on: https://code.wireshark.org/review/17569
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 1e83b59af8698256c11bb66fe13f912f3ba75471)
    Reviewed-on: https://code.wireshark.org/review/17570

commit 2ca12ab
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Sep 7 12:03:06 2016 -0700

    2.2.0 → 2.2.1.
    
    Change-Id: Iad1f59334d310bdfdcc1d5aa031e50c7cdfd52ad
    Reviewed-on: https://code.wireshark.org/review/17561
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
